Scope requirements
Scope requirements
Create a postal mail engagement
To create a postal mail engagement, make aPOST request to /crm/objects/2026-03/postal_mail.
In the request body, add postal mail details in a properties object. You can also add an associations object to associate your new postal mail with an existing record (e.g., contacts, companies).
Properties
In the properties object, you can include the following fields:Associations
To create and associate a postal mail engagement with existing records, include an associations object in your request. For example, to create postal mail and associate it with two contacts, your request body might look similar to the following:Retrieve postal mail engagements
You can retrieve postal mail engagements individually or in bulk. To retrieve an individual postal mail engagement, make aGET request to /crm/objects/2026-03/postal_mail/{postalMailId}. You can include the following parameters in the request:
To retrieve a list of the postal mail engagements in your account, make a
GET request to /crm/objects/2026-03/postal_mail. You can include the following parameters in the request:
When you make a successful batch request, the response will include the ID of each postal mail engagement, which you can use to retrieve, update, and delete postal mail engagements.
Update postal mail engagements
You can update postal mail engagements individually or in batches. To update an individual engagement by its ID, make aPATCH request to /crm/objects/2026-03/postal_mail/{postalMailId}.
In the request body, include the properties that you want to update. For example, to update the body of the engagement, your request body might look similar to the following:
Associate existing postal mail with records
You can associate postal mail engagements with contact, company, deal, or ticket records. To associate postal mail with records, make aPUT request to /crm/objects/2026-03/postal_mail/{postalMail}/associations/{toObjectType}/{toObjectId}/{associationTypeId}.
For example, your request URL might look similar to the following:
https://api.hubspot.com/crm/objects/2026-03/postal_mail/25727582880/associations/contact/104901/POSTAL_MAIL_TO_CONTACT
Remove an association
To remove an association between a postal mail engagement and a record, make aDELETE request to:
/crm/objects/2026-03/postal_mail/{postalMail}/associations/{toObjectType}/{toObjectId}/{associationTypeId}
Pin a postal mail engagement on a record
You can pin a postal mail engagement on a record so it remains on the top of the record’s timeline. The postal mail must already be associated with the record prior to pinning, and you can only pin one activity per record. To pin postal mail, include the postal mail’sid in the hs_pinned_engagement_id field when creating or updating a record via the object APIs. Learn more about using the companies,contacts, deals, tickets, and custom objects APIs.
Delete postal mail engagements
You can delete a postal mail engagement individually or in bulk, which will add the engagement to the recycling bin in HubSpot. You can later restore the engagement from the record timeline. To delete an individual postal mail engagement by its ID, make aDELETE request to /crm/objects/2026-03/postal_mail/{postalMailId}.